Page MenuHomePhabricator

[Config] Phase 1 deployment of usability improvements on pages using _NEWSECTIONLINK_
Closed, ResolvedPublic

Description

This task involves the work of writing and deploying the config patch needed to make the suite of usability improvements available on pages using __NEWSECTIONLINK__ for people who have usability enhancements enabled.

NOTE: this work was prioritized after receiving a series of requests via T350450 and T331635.

Deployment date

Wednesday, 6 December 2023

Changes

DesktopBefore changeAfter change
Section headings
SectionHeading_Before.png (984×1 px, 458 KB)
SectionHeading_After.png (900×1 px, 379 KB)
Table of contents
ToC_Before.png (1×2 px, 538 KB)
ToC_After.png (1×2 px, 521 KB)
Reply
Reply-Before-Desktop.png (114×974 px, 35 KB)
Reply-After-Desktop.png (114×990 px, 35 KB)
MobileBefore changeAfter change
Section headings
Sections_Before_Mobile.png (998×830 px, 181 KB)
Sections_After_Mobile.png (1×832 px, 181 KB)
Table of contents
Screenshot 2023-11-28 at 5.02.46 PM.png (1×824 px, 222 KB)
Screenshot 2023-11-28 at 5.01.53 PM.png (1×824 px, 206 KB)

Tech/News language

On 6 December 2023, people who have the Show discussion activity preference enabled will notice the talk page usability improvements appear on pages that include the __NEWSECTIONLINK__ magic word. If you notice any issues, please share them with the team on Phabricator.

Requirements

People impacted

  1. People who have visual enhancements/usability improvements enabled either via the Discussion tool beta feature (which exposes the new preference as enabled by default), the A/B test on certain wikis (T302358), or by being on mobile where enhancements are always enabled)

Behavior

  1. When "People" (see above) visit any page that meets all of the conditions below, they will see the full set of usability improvements enabled:
    1. A __NEWSECTIONLINK__ marker is present within the wikitext of the page
    2. The page does not exist in the article namespace (NS:0) EXCEPT for wikis where the article namespace is considered to be within the wgExtraSignatureNamespaces (as is the case on mediawiki.org)

Event Timeline

on wikis where usability improvements are already enabled.

Does this mean wikis where visual enhancements are available (either directly or by being an A/B test wiki), or also wikis where visual enhancements are default, i.e. all wikis? If the latter, you could rephrase the above phrase as

on all wikis.

or

for users who have usability enhancements enabled.

Change 978531 had a related patch set uploaded (by Esanders; author: Esanders):

[operations/mediawiki-config@master] Enable DT visual enhancements on pages with __NEWSECTIONLINK__

https://gerrit.wikimedia.org/r/978531

ppelberg added a subscriber: Quiddity.

Draft language for Tech/News below. @Quiddity, please let me know if you think anything about the above could be made more clear/easier to understand...

On 6 December 2023, people who have the Show discussion activity preference enabled will notice the talk page usability improvements appear on pages that include the __NEWSECTIONLINK__ magic word. If you notice any issues, please share them with the team on Phabricator.

@ppelberg It looks like this also requires users to have opted-in to the Beta Feature of "Discussion tools" (or all Beta Features) in order to see that preference. Therefore I've added that nuance, and the rest of your suggestion, into https://meta.wikimedia.org/wiki/Tech/News/2023/49 - please edit boldly for the next ~18 hours, after which the first translations will start to arrive

@ppelberg It looks like this also requires users to have opted-in to the Beta Feature of "Discussion tools" (or all Beta Features) in order to see that preference. Therefore I've added that nuance, and the rest of your suggestion, into https://meta.wikimedia.org/wiki/Tech/News/2023/49 - please edit boldly for the next ~18 hours, after which the first translations will start to arrive

Thank you, @Quiddity. I edited the draft; see rationale below (copied from edit summary):

Removing the "Beta feature" qualifier. Reasons: on some wikis (e.g. those that participated in the A/B test (phab:T302358)) the features are already enabled and on mobile, these features are already enabled independent of whether people have the DT beta feature enabled or not.

Change 971465 had a related patch set uploaded (by DLynch; author: DLynch):

[operations/mediawiki-config@master] DiscussionTools visual enhancements on pages with __NEWSECTIONLINK__

https://gerrit.wikimedia.org/r/971465

Change 971465 abandoned by DLynch:

[operations/mediawiki-config@master] DiscussionTools visual enhancements on pages with __NEWSECTIONLINK__

Reason:

Ed's patch is more comprehensive

https://gerrit.wikimedia.org/r/971465

Change 978531 merged by jenkins-bot:

[operations/mediawiki-config@master] Enable DT visual enhancements on pages with __NEWSECTIONLINK__

https://gerrit.wikimedia.org/r/978531

Mentioned in SAL (#wikimedia-operations) [2023-12-06T21:09:45Z] <urbanecm@deploy2002> Started scap: Backport for [[gerrit:978531|Enable DT visual enhancements on pages with NEWSECTIONLINK (T352232)]]

Mentioned in SAL (#wikimedia-operations) [2023-12-06T21:11:03Z] <urbanecm@deploy2002> urbanecm and esanders: Backport for [[gerrit:978531|Enable DT visual enhancements on pages with NEWSECTIONLINK (T352232)]] synced to the testservers (https://wikitech.wikimedia.org/wiki/Mwdebug)

Mentioned in SAL (#wikimedia-operations) [2023-12-06T21:20:28Z] <urbanecm@deploy2002> Finished scap: Backport for [[gerrit:978531|Enable DT visual enhancements on pages with NEWSECTIONLINK (T352232)]] (duration: 10m 43s)